# Role: resume

## Description

Configures system resume from hibernate/sleep, by storing the system state in a swap file.

https://docs.kernel.org/power/swsusp.html

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.resume
  vars:
    ...
```

### Vars

`resume_swap_mountpoint`:

Mountpoint of swapfile.

`resume_swap_mount_uuid`:

UUID of swap mount.
